/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * uctremp
 * Copyright (C)  2011 <>
 * 
 * uctremp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * uctremp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _CICLISTA_H_
#define _CICLISTA_H_

#include <string>

#include "ciutat.h"

class Ciclista
{
public:
	inline string getNom()const{return nom;}
	inline string getCognom1()const{return cognom1;}
	inline string getCognom2()const{return cognom2;}
	inline string getDNI()const{return dni;}
	inline string getDireccio()const{return direccio;}
	inline Ciutat getCiutat()const{return ciutat;}
	inline void setNom(string nom){this->nom = nom;}
	inline void setCognom1(string nom){this->cognom1 = nom;}
	inline void setCognom2(string nom){this->cognom2 = nom;}
	inline void setDNI(string nom){this->dni = nom;}
	inline void setDireccio(string nom){this->direccio = nom;}
	inline void setCiutat(Ciutat nom){this->ciutat = nom;}
protected:

private:
		string  nom,
					cognom1,
					cognom2;
		string  dni;
		string  direccio;
		Ciutat  ciutat;

};

#endif // _CICLISTA_H_
