/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * uctremp
 * Copyright (C)  2011 <>
 * 
 * uctremp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * uctremp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _CIUTAT_H_
#define _CIUTAT_H_

#include <string>
#include <iostream>
using namespace std;

//ostream & operator<<(ostream & sal, const Ciutat& c );

class Ciutat
{
private:
	string  nom;
	string  cp;

	void show( ostream & out ) const;

public:
	Ciutat();
	Ciutat( string nom , string cp );
	
	inline	 string getNom()const {return nom;}
	inline	  void  setNom(string n){this-> nom = n;}
	inline	  string	getCP()const {return cp;}
	inline	  void  setCP(string cp){this->cp = cp;}
	
	friend ostream & operator<<(ostream & out, const Ciutat & c);
};

#endif // _CIUTAT_H_
